﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace XCE_ItemsProvider
{
    class ViewModel
    {
        private ObservableCollection<Employee> employees;

        public ObservableCollection<Employee> Employees
        {
            get
            {
                if (employees == null)
                {
                    employees = new ObservableCollection<Employee>();
                    for (int x = 1; x < 6; x++)
                    {
                        employees.Add(new Employee
                        {
                            EmployeeID = x,
                            Name = "Employee " + x.ToString()
                        });
                    }
                }


                return employees;
            }

        }

    }
}
